/*  ==========================================================================
    // Accordeon
    //
    // classic accordeon module
    //
    
    //
    // Style guide: zs-modules.header
    //
    ========================================================================== */

    /* STYLING
    ========================================================================== */

    .header
    {
        position: fixed;
        top: 0;
        left: 0;
        right: 0;
        z-index: $header-z-index;

        height: $header-height;

        box-shadow: $header-box-shadow;
        background-color: $header-bg;
        color: $header-color;
        text-align: $header-text-align;
        @include setType($header-font-size, $header-line-height, $header-font-weight);

        &.header--bar
        {
            z-index: 2000;
        }

        .button
        {
            margin: $header-button-margin;

            color: $header-button-color;
            font-weight: $header-button-font-weight;

            &:hover
            {
                background-color: $header-button-hover-background-color;
                border-color: $header-button-hover-border-color;
                color: $header-button-hover-color;
            }

            .icon
            {
                &:before
                {
                    font-size: $header-button-icon-font-size;
                }
            }

            + .button
            {
                margin-left: 0;
            }
        }

        a 
        {
            margin: $header-button-margin;
        }
    }

    .header__logo
    {
        @include inline-block;
        width: $header-logo-width;
        height: $header-logo-height;
        margin-left: $r-gutter / 2;
    }

    .header__link
    {
        color: $white;

        &:hover
        {
            color: $royal;
        }
    }

    .header__search-button
    {
        display: none;
        margin: .6 $r-gutter / 2;
    }

    .header__right
    {
        position: absolute;
        right: 0;
        top: 0;
        bottom: 0;

        display: table;
        table-layout: fixed;
        height: $header-height;

        text-align: right;
    }

    .header__login,
    .header__reg,
    .header__user,
    .header__agents,
    .header__austria
    {
        display: none;

        @media (min-width: 1000px)
        {
            @include inline-block;
        }
    }

    .header__mobilenav
    {
        padding-left: 6px;
        padding-right: 6px;

        @media (min-width: 1000px)
        {
            display: none;
        }
    }

    .header__mobilenav-container
    {
        position: absolute;
        top: 52px;
        left: 0;
        right: 0;
        z-index: 12;

        margin: 0;
        padding-left: 0;

        box-shadow: 0 5px 6px rgba($gray-85, .2);
        -webkit-transition: max-height 1s;
        -moz-transition: max-height 1s;
        -ms-transition: max-height 1s;
        -o-transition: max-height 1s;
        transition: max-height 1s;
        overflow: hidden;
        max-height: 0;

        @media (min-width: 1000px)
        {
            display: none;
        }

        &.open
        {
            max-height: 500px;
        }
    }

    .header__mobilenav-subcontainer
    {
        margin: 0;
        padding: 0;

        -webkit-transition: max-height 1s;
        -moz-transition: max-height 1s;
        -ms-transition: max-height 1s;
        -o-transition: max-height 1s;
        transition: max-height 1s;
        overflow: hidden;
        max-height: 0;
    }

    .header__mobilenav-entry
    {
        position: relative;

        background: $positive;
        cursor: pointer;

        &.item,
        .item
        {
            background: $positive;
            color: $white;

            &:hover,
            &:active
            {
                background-color: darken($positive, 20%);
            }
        }

        &.active
        {
            .item
            {
                background-color: darken($button-positive-bg, 10%);
                color: $white;
            }

            &:hover
            {
                .item
                {
                    color: $white;
                    background-color: darken($positive, 20%);
                }
            }
        }

        &.open
        {
            .header__mobilenav-subcontainer
            {
                max-height: 200px;
            }
        }

        &:hover
        {
            .item
            {
                background-color: darken($positive, 20%);
            }
        }
    }

    .header__mobilenav-subentry
    {
        background: darken($button-positive-bg, 10%);
        border: none;

        padding-top: 10px;
        padding-bottom: 10px;

        color: $white;

        &:first-child
        {
            padding-top: 16px;
        }

        &:last-child
        {
            padding-bottom: 16px;
        }
    }

    .header__austria
    {
        border-left: 1px solid $white!important;
    }

    .button
    {
        &.button--assertive
        {
            &:focus
            {
                border-color: $white;
            }
        }
    }

    .header__user
    {
        margin-right: $r-gutter / 2;

        .zsicon-angle-down
        {
            transition: transform ease-in .5s;
        }

        &.button:hover
        {
            color: $red;
            background-color: $white;
            border: 1px solid $white;
        }

        &.open
        {
            color: $red;
            background-color: $white;

            .header__menu
            {
                max-height: 200px;
                padding: $single-space $r-gutter / 2;
            }

            .zsicon-angle-down
            {
                transform: rotate(180deg);
                display: inline-block;
            }
        }
    }

    .header__menu
    {
        position: absolute;
        top: 100%;
        left: auto;
        right: -1px;

        max-height: 0;
        padding: 0 $r-gutter / 2;

        overflow: hidden;

        white-space: nowrap;
        text-align: left;
        background-color: $white;
        box-shadow: 0px 3px 4px rgba($black,.2);

        transition: padding ease-in .4s, max-height ease-in .5s;

        .item
        {
            
            padding: 0 40px 0 34px;
            border-bottom: 0 none;

            line-height: 32px;

            color: $gray-60;

            &:hover
            {
                color: $red;
                background-color: transparent;
            }
        }

        .item-icon--left
        {
            .icon
            {
                left: $r-gutter / 2;
            }
        }
    }


    /* NOT LOGGED IN STATE
    ========================================================================== */

    .header__user,
    .header__user--mobile,
    .home__search
    {
        display: none;

        @include breakpoint(large)
        {
            display: none;
        }
    }


    /* LOGGED IN STATE
    ========================================================================== */

    .logged-in
    {
        .header__login,
        .header__reg,
        .header__login--mobile,
        .header__reg--mobile
        {
            display: none;
        }

        .header__user--mobile,
        {
            display: block;
        }

        .header__user
        {
            @include breakpoint(large)
            {
                @include inline-block;
            }
        }
    }